Bug 909551 - scanner has a problem in the 64-bit systems but works fine with the same systems in 32 bit
Summary: scanner has a problem in the 64-bit systems but works fine with the same syst...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-09 10:28 UTC by Gerard van der Veen
Modified: 2013-08-01 05:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 05:56:59 UTC
Type: Bug


Attachments (Terms of Use)
empty, but not very clean, A4 sheet, scanned as n° 3 after startup of xsane (84.02 KB, image/jpeg)
2013-02-09 10:28 UTC, Gerard van der Veen
no flags Details

Description Gerard van der Veen 2013-02-09 10:28:52 UTC
Created attachment 695412 [details]
empty, but not very clean, A4 sheet, scanned as n° 3 after startup of xsane

Description of problem:
Scanning several pages with my flatbed scanner works fine for the first two pages; the subsequent pages will have wide coloured vertical bands in the background (black for a grayscale scan).
This is true for the 64-bit versions of Fedora 16, 17 and 18; with the 32-bit versions of the mentioned distributions there is no problem.
Scanning using xsane or simple-scan produce both the misbehaviour.
After leaving the graphical fronted and it's restart one can again scan two pages properly.

Version-Release number of selected component (if applicable):

Release independent but all 64-bit versions
In the sane bugtracker the same problem is reported for Gentoo 64 bit, where Gentoo 32 bit is fine (ref.: 304296 dated 08/04/2007 - not solved yet)

Version details are (here with Fedora 17):
Linux 3.7.3-101.fc17.x86_64
sane-frontends-1.0.14-14.fc17.src.rpm
sane-backends-1.0.23-4.fc17.src.rpm
idem libs and drivers-scanners

scanimage -L
device `plustek:libusb:003:003' is a Epson Perfection 1250/Photo flatbed scanner

How reproducible:
stable


Steps to Reproduce:
1. Connect an Epson Pefection 1250 (126O in the ref.304296 sane bugtracker case)
2. Scan three or more times a page 
3. View the third or any subsequent page
  
Actual results:
See enclosed file

Expected results:
The same result as with the page 1 scan

Additional info:
I submitted the problem at sane (not found in the External Bug locations), ref. 314019, and they requested me to open a downstream report at the RedHat Bugzilla

Comment 1 Paul Menzel 2013-02-11 08:55:46 UTC
Gérard, thank you for submitting this report.


(In reply to comment #0)

[…]

> Additional info:
> I submitted the problem at sane (not found in the External Bug locations),
> ref. 314019, and they requested me to open a downstream report at the RedHat
> Bugzilla

The URL of the entry in the tracker is [1].


[1] https://alioth.debian.org/tracker/index.php?func=detail&aid=314019&group_id=30186&atid=410366

Comment 2 Fedora End Of Life 2013-07-04 01:29:15 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 05:57:03 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.